getLightLibrariesData(data: GetLightLibrariesDataParams)

Requires:
@tuya-miniapp/cloud-api≥1.0.5Mini Program Base Library≥2.18.1

Description

Retrieve the lighting libraries (scene/music, etc.) bound to a device or group, and output the data in the libraries. For example, scene parameter information from the scene library.

Parameters

ParameterTypeRequiredDescription
YesRequest parameters: bizId (business ID), bizType (business type: 0 = device, 1 = group), libType (library type: SCENE_LIB = scene library, MUSIC_LIB = music library, SCENE_IMAGE_LIB = scene image library), libDataType (library data type: 0 = all; if 0, the library is considered updatable if any data type has updates; 1 = basic data, provided by Tuya and bound at the panel uiId level; 2 = advanced data, maintained by users in the micro app backend).

Return Value

Type: Promise<GetLightLibrariesDataResult>
Plate[] (each element includes plateId, plateName, plateIcon, plateIconDisplayType, data, etc.; data contains group data and items, where items are entries from the Scene Library or Image Library; see the Plate, Data, and SceneLibraryItem tables in the documentation for field definitions)

Referenced Types

typeGetLightLibrariesDataResult
Plate[]

Valid Values

GetLightLibrariesDataParams.bizType
ValueDescriptionMini Program Base Library Since
0--
1--
GetLightLibrariesDataParams.libType
ValueDescriptionMini Program Base Library Since
SCENE_LIB--
MUSIC_LIB--
SCENE_IMAGE_LIB--
GetLightLibrariesDataParams.libDataType
ValueDescriptionMini Program Base Library Since
0--
1--
2--

Examples

Request example

import { getLightLibrariesData } from '@tuya-miniapp/cloud-api';

getLightLibrariesData({
  bizId: 'vdevo167504******003',
  bizType: 0,
  libType: 'SCENE_LIB',
  libDataType: 0,
})
  .then((response) => {
    console.log(response);
  })
  .catch();

Response example

[
  {
    "plateIconDisplayType": 0,
    "plateId": 2774,
    "data": [
      {
        "iconDisplayType": 3,
        "iconDisplaySize": "166*102",
        "items": [
          {
            "sceneName": "Good night",
            "icon": "https://images.tuyacn.com/light/library/icon/bixc94box***.png",
            "sort": 0,
            "sceneDesc": "50",
            "dpCode": "sceneData",
            "sceneId": 3537,
            "sceneData": "000e0d0000000000000000c80000"
          }
        ]
      }
    ],
    "plateName": "Cozy life",
    "plateIcon": ""
  },
  {
    "plateIconDisplayType": 0,
    "plateId": 2775,
    "data": [
      {
        "iconDisplayType": 3,
        "iconDisplaySize": "166*102",
        "items": [
          {
            "sceneName": "Ocean",
            "icon": "https://images.tuyacn.com/light/library/icon/bixbr00rh***.png",
            "sort": 4,
            "sceneDesc": "0",
            "dpCode": "sceneData",
            "sceneId": 3543,
            "sceneData": "1746460200f003e803e80000000046460200dc02bc03e800000000"
          }
        ]
      }
    ],
    "plateName": "Theme mood",
    "plateIcon": ""
  }
]